Skip to main content
`Ctrl`+`K`

# pandas.Index.map

Index.map(mapper, na_action=None)

  Map values using an input mapping or function.

  Parameters:
    mapper function, dict, or Series

      Mapping correspondence.

    na_action{None, ‘ignore’}

      If ‘ignore’, propagate NA values, without passing them to the mapping correspondence.

  Returns:
    Union[Index, MultiIndex]

      The output of the mapping function applied to the index. If the function returns a tuple with more than one element a MultiIndex will be returned.

  Examples

      >>> idx = pd.Index([1, 2, 3])
      >>> idx.map({1: 'a', 2: 'b', 3: 'c'})
      Index(['a', 'b', 'c'], dtype='object')

  Using map with a function:

      >>> idx = pd.Index([1, 2, 3])
      >>> idx.map('I am a {}'.format)
      Index(['I am a 1', 'I am a 2', 'I am a 3'], dtype='object')

      >>> idx = pd.Index(['a', 'b', 'c'])
      >>> idx.map(lambda x: x.upper())
      Index(['A', 'B', 'C'], dtype='object')